com.ibm.openpages.api.workflow

## Interface IWFConditionGroupEval

- All Superinterfaces:
    IWFConditionEval, IWFEvalUnit

      public interface IWFConditionGroupEval
      extends IWFConditionEval

  Interface that represents condition group which is defined on process definition, and is evaluated in the context of process instance. A condition group can contain multiple criteria with logical operator to evaluate if this condition is met or not.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFConditionEval>` | `getConditions()` Returns list of conditions
    `LogicalOperatorType` | `getLogicalOperator()` Returns logical operator type ( "AND" or "OR" )
    `void` | `setConditions(java.util.List<IWFConditionEval> conditions)` Assigns list of conditions
    `void` | `setLogicalOperator(LogicalOperatorType opType)` Assigns logical operator type

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getLogicalOperator

          LogicalOperatorType getLogicalOperator()

      Returns logical operator type ( "AND" or "OR" )
      Returns:

    - #### setLogicalOperator

          void setLogicalOperator(LogicalOperatorType opType)

      Assigns logical operator type
      Parameters:
        `opType` -

    - #### getConditions

          java.util.List<IWFConditionEval> getConditions()

      Returns list of conditions
      Returns:

    - #### setConditions

          void setConditions(java.util.List<IWFConditionEval> conditions)

      Assigns list of conditions
      Parameters:
        `conditions` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.